package enum

type FactoryIdentityState int32

const (
	FactoryIdentityStateForNormal = 1
	FactoryIdentityStateForFreeze = 2
)

func (gt FactoryIdentityState) String() string {
	switch gt {
	case FactoryIdentityStateForNormal:
		return "正常"
	case FactoryIdentityStateForFreeze:
		return "冻结"
	default:
		return "未知"
	}
}

type FactoryIdentityIsSubsidy int32

const (
	FactoryIdentityIsSubsidyForNo  = 0
	FactoryIdentityIsSubsidyForYes = 1
)

func (gt FactoryIdentityIsSubsidy) String() string {
	switch gt {
	case FactoryIdentityIsSubsidyForNo:
		return "不开启优惠补贴"
	case FactoryIdentityIsSubsidyForYes:
		return "开启优惠补贴"
	default:
		return "未知"
	}
}

type FactoryIdentityIsLimitConsumeNum int32

const (
	FactoryIdentityIsLimitConsumeNumForNo  = 0
	FactoryIdentityIsLimitConsumeNumForYes = 1
)

func (gt FactoryIdentityIsLimitConsumeNum) String() string {
	switch gt {
	case FactoryIdentityIsSubsidyForNo:
		return "不限制消费次数"
	case FactoryIdentityIsSubsidyForYes:
		return "限制消费次数"
	default:
		return "未知"
	}
}
