package md

type FactoryInfoResp struct {
	Name      string `json:"name" label:"名称"`
	Memo      string `json:"memo" label:"备注"`
	Mode      string `json:"mode" label:"模式"`
	Pvd       string `json:"pvd" label:"场景"`
	Kind      string `json:"kind" label:"种类(1:央厨-学校 2:央厨-工厂 3:自营-学校 4:自营-工厂)"`
	State     string `json:"state" label:"状态(1:正常 2:冻结)"`
	WorkerNum int64  `json:"worker_num" label:"员工数量"`
	//UserNum                int64   `json:"user_num" label:"用户数量"`
	ThisMonthConsumeAmount float64 `json:"this_month_consume_amount" label:"本月消费金额"`
	ThisMonthOrderNum      float64 `json:"this_month_order_num" label:"本月订单"`
	ThisMonthServiceAmount float64 `json:"this_month_service_amount" label:"本月服务费用"`
	ThisMonthReceiptAmount float64 `json:"this_month_receipt_amount" label:"本月实收金额"`
}
