package enum

type PayWay int32

const (
	PayWayForAli = 1
	PayWayForWx  = 2
)

func (gt PayWay) String() string {
	switch gt {
	case PayWayForAli:
		return "支付宝"
	case PayWayForWx:
		return "微信"
	default:
		return "未知"
	}
}
