package enum

type SelfSupportForUserFaceInfoConcentrateSchoolFacePassStatus int

const (
	SelfSupportForUserFaceInfoConcentrateSchoolFacePassStatusByWaitCollect    = 1
	SelfSupportForUserFaceInfoConcentrateSchoolFacePassStatusByWaitConfirm    = 2
	SelfSupportForUserFaceInfoConcentrateSchoolFacePassStatusByAlreadyConfirm = 3
)

func (gt SelfSupportForUserFaceInfoConcentrateSchoolFacePassStatus) String() string {
	switch gt {
	case SelfSupportForUserFaceInfoConcentrateSchoolFacePassStatusByWaitCollect:
		return "待采集"
	case SelfSupportForUserFaceInfoConcentrateSchoolFacePassStatusByWaitConfirm:
		return "待确认"
	case SelfSupportForUserFaceInfoConcentrateSchoolFacePassStatusByAlreadyConfirm:
		return "已确认"
	default:
		return "未知"
	}
}
