package enum

type CompanyState int32

const (
	CompanyStateForNormal = 1
	CompanyStateForFreeze = 2
)

func (gt CompanyState) String() string {
	switch gt {
	case CompanyStateForNormal:
		return "正常"
	case CompanyStateForFreeze:
		return "冻结"
	default:
		return "未知"
	}
}
