package md

type DeviceListReq struct {
	Page           int    `json:"page" label:"页码"`
	Limit          int    `json:"limit" label:"每页数量"`
	EnterpriseName string `json:"enterprise_name" label:"校企名称"`
	Name           string `json:"name" label:"档口名称"`
	StartDate      string `json:"start_date" label:"起始时间"`
	EndDate        string `json:"end_date" label:"截止时间"`
}

type DeviceSaveReq struct {
	Name         string `json:"name" binding:"required"`
	DeviceSn     string `json:"device_sn" binding:"required"`
	EnterpriseId int    `json:"enterprise_id" binding:"required"`
	Memo         string `json:"memo"`
}

type FactoryDeviceSaveReq struct {
	Name         string `json:"name" binding:"required"`
	TerminalId   string `json:"terminal_id" binding:"required"`
	EnterpriseId int    `json:"enterprise_id" binding:"required"`
	Memo         string `json:"memo"`
}

type FactoryDeviceListReq struct {
	Page           int    `json:"page" label:"页码"`
	Limit          int    `json:"limit" label:"每页数量"`
	EnterpriseName string `json:"enterprise_name" label:"校企名称"`
	Name           string `json:"name" label:"档口名称"`
	StartDate      string `json:"start_date" label:"起始时间"`
	EndDate        string `json:"end_date" label:"截止时间"`
}
