package model

type FactoryDevice struct {
	Id           int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name         string `json:"name" xorm:"not null default '' comment('档口名称') VARCHAR(255)"`
	TerminalId   string `json:"terminal_id" xorm:"not null default '' comment('设备编号') unique VARCHAR(255)"`
	EnterpriseId int    `json:"enterprise_id" xorm:"not null default 0 comment('校企id') INT(11)"`
	Memo         string `json:"memo" xorm:"not null default '' comment('备注信息') VARCHAR(255)"`
	CreateAt     string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt     string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
