package model

type FactorySet struct {
	Id                        int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	EnterpriseId              int    `json:"enterprise_id" xorm:"not null default 0 comment('所属单位id') INT(11)"`
	IsOpenNaturalCustomer     int    `json:"is_open_natural_customer" xorm:"not null default 0 comment('开启自然顾客(1:开启 2:关闭)') TINYINT(1)"`
	NaturalCustomerServiceFee string `json:"natural_customer_service_fee" xorm:"not null default 0.00 comment('自然顾客服务费') DECIMAL(8,2)"`
	CreateAt                  string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                  string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
